/*
2000 Microsoft Corporation. All rights reserved.
*/

function OnOpenStateChange()
{
    if(player.OpenState == osMediaOpen)
    {
        UpdateMetadata();
    }
}
function toggleEfx()
{
	enableEffects(!isEfx());
}
function UpdateMetadata()
{
    metadata.value =
        player.currentmedia.getiteminfo("author");
    var temp = player.currentmedia.name;
    if(temp != "")
    {
        if(metadata.value != "")
        {
            metadata.value +=  " -- ";
        }
        metadata.value += temp;
    }
    metadata.scrolling = metadata.textWidth>metadata.width;
}
function OnAddMediaToPlaylist(  )
{
    var fileselected = theme.openDialog( "FILE_OPEN", "FILES_ALLMEDIA" );

    if( fileselected.length > 0 )
    {
        cMedia = player.mediaCollection.add( fileselected );
        playlist.playlist.appendItem( cMedia );

    }
}										
//
// Constants
//

var wmpvwVideo                  = "Video";

//
// Global variables
//

var g_fExpectingSizeChange  = false;
var g_fUserHasSized         = false;


function SetVisibleItems()
{
    if ( theme.currentViewID == wmpvwNormal )
    {
        if ( CurrentMediaActive() )
        {
            NormalEffect.visible = true;
            Normalseek.visible = true;
        }
        else
        {
            NormalEffect.visible = false;
            Normalseek.visible = false;
        }
    }
}

function OnCloseNormalView()
{
    //We want to save our settings now.
    SaveSettings();
    NormalView.close();
    theme.closeview( wmpvwVideo );
}


function OnLoadVideo()
{
    SnapToVideo();
}

function AllowResizeVideo()
{
    mediacenter.videoStretchToFit=true;
    mediacenter.videoShrinkToFit=true; 
    return;
}

function ZoomVideo()
{
    g_fUserHasSized = true;

    mediacenter.videoStretchToFit = false;
    mediacenter.videoShrinkToFit = false;

    if( mediacenter.videoZoom < 101 )
    {
        mediacenter.videoZoom = 250;
    }
    else if( mediacenter.videoZoom < 251 )
    {
        mediacenter.videoZoom = 300;
    }
    else
    {
        mediacenter.videoZoom = 100;
    }

    SnapToVideo();
}

function SnapToVideo()
{
    if( (!g_fUserHasSized && mediacenter.videoStretchToFit) || !mediacenter.videoStretchToFit)
    {
        var zoom = mediacenter.videoStretchToFit ? 100 : mediacenter.videoZoom;
        var x = (player.currentMedia.imageSourceWidth * (zoom / 100.0));
        var y = (player.currentMedia.imageSourceHeight * (zoom / 100.0));

        g_fExpectingSizeChange = true;
        view.width = x + 26;
        view.height = y + 39;
        g_fExpectingSizeChange = false;
    }
    else
    {
        view.height= player.currentMedia.imageSourceHeight + 39;
        view.width= player.currentMedia.imageSourceWidth + 26;
    }

    vidinfo.value = "Zoom: " + mediacenter.videoZoom + "%";
}

function OnCloseVideo()
{
    view.close();
}

